org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTSUBDEVICENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTSUBDEVICENode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTSUBDEVICENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTSUBDEVICENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTSUBDEVICENode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIENTSUBDEVICENode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTSUBDEVICENode` | `bindAvoidvalidations(IDynamicContentBindingObject value)`
    `CLIENTSUBDEVICENode` | `bindClosetrigger(IDynamicContentBindingObject value)`
    `CLIENTSUBDEVICENode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTSUBDEVICENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTSUBDEVICENode` | `bindInittrigger(IDynamicContentBindingObject value)`
    `CLIENTSUBDEVICENode` | `bindInitvalue(IDynamicContentBindingObject value)`
    `CLIENTSUBDEVICENode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTSUBDEVICENode` | `bindSendtrigger(IDynamicContentBindingObject value)`
    `CLIENTSUBDEVICENode` | `bindSendvalue(IDynamicContentBindingObject value)`
    `CLIENTSUBDEVICENode` | `bindStatusbarneutral(IDynamicContentBindingObject value)`
    `CLIENTSUBDEVICENode` | `bindSubdeviceclassname(IDynamicContentBindingObject value)`
    `CLIENTSUBDEVICENode` | `setActionListener(java.lang.String value)`
    `CLIENTSUBDEVICENode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTSUBDEVICENode` | `setAttributemacro(java.lang.String value)`
    `CLIENTSUBDEVICENode` | `setAvoidvalidations(boolean value)`
    `CLIENTSUBDEVICENode` | `setAvoidvalidations(java.lang.String value)`
    `CLIENTSUBDEVICENode` | `setClosetrigger(java.lang.String value)`
    `CLIENTSUBDEVICENode` | `setComment(java.lang.String value)`
    `CLIENTSUBDEVICENode` | `setConfiginfo(java.lang.String value)`
    `CLIENTSUBDEVICENode` | `setId(java.lang.String value)`
    `CLIENTSUBDEVICENode` | `setInittrigger(java.lang.String value)`
    `CLIENTSUBDEVICENode` | `setInitvalue(java.lang.String value)`
    `CLIENTSUBDEVICENode` | `setReference(java.lang.String value)`
    `CLIENTSUBDEVICENode` | `setRendered(boolean value)`
    `CLIENTSUBDEVICENode` | `setRendered(java.lang.String value)`
    `CLIENTSUBDEVICENode` | `setSendtrigger(java.lang.String value)`
    `CLIENTSUBDEVICENode` | `setSendvalue(java.lang.String value)`
    `CLIENTSUBDEVICENode` | `setStatusbarneutral(boolean value)`
    `CLIENTSUBDEVICENode` | `setStatusbarneutral(java.lang.String value)`
    `CLIENTSUBDEVICENode` | `setSubdeviceclassname(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTSUBDEVICENode

          public CLIENTSUBDEVICENode()

  - ### Method Detail

    - #### setId

          public CLIENTSUBDEVICENode setId(java.lang.String value)

    - #### setActionListener

          public CLIENTSUBDEVICENode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIENTSUBDEVICENode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIENTSUBDEVICENode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTSUBDEVICENode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTSUBDEVICENode setAttributemacro(java.lang.String value)

    - #### setAvoidvalidations

          public CLIENTSUBDEVICENode setAvoidvalidations(java.lang.String value)

    - #### bindAvoidvalidations

          public CLIENTSUBDEVICENode bindAvoidvalidations(IDynamicContentBindingObject value)

    - #### setAvoidvalidations

          public CLIENTSUBDEVICENode setAvoidvalidations(boolean value)

    - #### setClosetrigger

          public CLIENTSUBDEVICENode setClosetrigger(java.lang.String value)

    - #### bindClosetrigger

          public CLIENTSUBDEVICENode bindClosetrigger(IDynamicContentBindingObject value)

    - #### setComment

          public CLIENTSUBDEVICENode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTSUBDEVICENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTSUBDEVICENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTSUBDEVICENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setInittrigger

          public CLIENTSUBDEVICENode setInittrigger(java.lang.String value)

    - #### bindInittrigger

          public CLIENTSUBDEVICENode bindInittrigger(IDynamicContentBindingObject value)

    - #### setInitvalue

          public CLIENTSUBDEVICENode setInitvalue(java.lang.String value)

    - #### bindInitvalue

          public CLIENTSUBDEVICENode bindInitvalue(IDynamicContentBindingObject value)

    - #### setReference

          public CLIENTSUBDEVICENode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTSUBDEVICENode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTSUBDEVICENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTSUBDEVICENode setRendered(boolean value)

    - #### setSendtrigger

          public CLIENTSUBDEVICENode setSendtrigger(java.lang.String value)

    - #### bindSendtrigger

          public CLIENTSUBDEVICENode bindSendtrigger(IDynamicContentBindingObject value)

    - #### setSendvalue

          public CLIENTSUBDEVICENode setSendvalue(java.lang.String value)

    - #### bindSendvalue

          public CLIENTSUBDEVICENode bindSendvalue(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public CLIENTSUBDEVICENode setStatusbarneutral(java.lang.String value)

    - #### bindStatusbarneutral

          public CLIENTSUBDEVICENode bindStatusbarneutral(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public CLIENTSUBDEVICENode setStatusbarneutral(boolean value)

    - #### setSubdeviceclassname

          public CLIENTSUBDEVICENode setSubdeviceclassname(java.lang.String value)

    - #### bindSubdeviceclassname

          public CLIENTSUBDEVICENode bindSubdeviceclassname(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.